Bug 248500 - perl-DateManip can not determine non-USA local timezone
perl-DateManip can not determine non-USA local timezone
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: perl-DateManip (Show other bugs)
4.5
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-17 01:37 EDT by Oliver Schulze L.
Modified: 2011-09-16 07:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-22 08:12:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for also running 'date +%z' which solve the bug (1.04 KB, application/octet-stream)
2007-07-17 01:41 EDT, Oliver Schulze L.
no flags Details
Patch for also running 'date +%z' which solve the bug (1.04 KB, patch)
2007-07-17 01:41 EDT, Oliver Schulze L.
no flags Details | Diff

  None (edit)
Description Oliver Schulze L. 2007-07-17 01:37:31 EDT
Description of problem:
If you have a non U.S.A. local timezone, Date::Manip can not determine the local
timezone


Version-Release number of selected component (if applicable):


How reproducible:
Use this perl script, perl-timezone.pl:
-----------------------
#!/usr/bin/perl
use Date::Manip;
use strict;
my $date_res = Date_TimeZone();
print "date_res: $date_res\n";
-----------------------



Steps to Reproduce:
1. setup an international(non-US) timezone: cp -f
/usr/share/zoneinfo/America/Asuncion /etc/localtime
2. run the script, it does not work
3. now use a US timezone:  cp -f /usr/share/zoneinfo/America/New_York
/etc/localtime 
4. run the script, it does work

Actual results:
ERROR: Date::Manip unable to determine TimeZone.
 at /usr/lib/perl5/vendor_perl/5.8.5/Date/Manip.pm line 3495
        Date::Manip::Date_TimeZone called at
/usr/lib/perl5/vendor_perl/5.8.5/Date/Manip.pm line 661
        Date::Manip::Date_Init() called at
/usr/lib/perl5/vendor_perl/5.8.5/Date/Manip.pm line 3364
        Date::Manip::Date_TimeZone() called at ./perl-timezone.pl line 6


Expected results:
date_res: EDT



Additional info:
Comment 1 Oliver Schulze L. 2007-07-17 01:41:01 EDT
Created attachment 159398 [details]
Patch for also running 'date +%z' which solve the bug

Apply the patch using:
patch -p0 < DateManip-international-timezones.patch
Comment 2 Oliver Schulze L. 2007-07-17 01:41:05 EDT
Created attachment 159399 [details]
Patch for also running 'date +%z' which solve the bug

Apply the patch using:
patch -p0 < DateManip-international-timezones.patch
Comment 3 Oliver Schulze L. 2007-07-17 01:41:46 EDT
Comment on attachment 159398 [details]
Patch for also running 'date +%z' which solve the bug

double post
Comment 4 RHEL Product and Program Management 2008-02-01 14:05:00 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 5 Marcela Mašláňová 2008-08-12 07:41:43 EDT
Update of this package should fix it.
Comment 6 RHEL Product and Program Management 2008-10-31 12:37:01 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 7 Marcela Mašláňová 2010-02-22 08:12:03 EST
The last planned update of RHEL-4 will be focused on performance and security bugs only. In next release should be higher release of DateManip, which should fix this.

Note You need to log in before you can comment on or make changes to this bug.